List a batch job's results

GET/lang2fhir/batch/{job_id}/results
RequiresBearerauthentication

Path parameters

job_idstringrequired

Query parameters

cursorstringoptional
limitintegeroptionaldefault 20
Returns  

Response fields

resultsobject[]required
item_idstringrequired
idstringoptional
statusstringrequired
pendingprocessingsucceededfailed
attemptsintegerrequired
detect_retriesinteger (int64)optional
result_sizeinteger (int64)optional
errorobjectoptional
kindstringrequired
messagestringrequired
completed_atstring (date-time)optional
next_cursorstringoptional
has_morebooleanrequired
GETRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X GET "https://experiment.app.pheno.ml/lang2fhir/batch/abc-123-def-456/results?cursor=example&limit=20" \
  -H "Authorization: Bearer $PHENOML_TOKEN"
200 OKExample Response
{
  "results": [
    {
      "item_id": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
      "id": "chart-note-0042",
      "status": "succeeded",
      "attempts": 1,
      "detect_retries": 1,
      "result_size": 20482,
      "error": {
        "kind": "processing_failed",
        "message": "the item could not be converted"
      },
      "completed_at": "2024-01-15T09:30:00Z"
    }
  ],
  "next_cursor": "<cursor>",
  "has_more": false
}